Get room details
curl --request GET \
--url https://api.noux.app/api/v1/room/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/room/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/room/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"roomId": "<string>",
"roomName": "<string>",
"template": true,
"languageCode": "<string>",
"theme": {
"id": "<string>",
"name": "<string>"
},
"owner": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"editors": [
{
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
],
"numInvited": 123,
"numJoinedVisitors": 123,
"numComments": 123
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Rooms
Get room details
Get detailed information about a room including statistics such as number of invited visitors, joined visitors, and comments. Authenticate using Bearer token with your Noux API key.
GET
/
api
/
v1
/
room
/
{id}
Get room details
curl --request GET \
--url https://api.noux.app/api/v1/room/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://api.noux.app/api/v1/room/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.noux.app/api/v1/room/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"roomId": "<string>",
"roomName": "<string>",
"template": true,
"languageCode": "<string>",
"theme": {
"id": "<string>",
"name": "<string>"
},
"owner": {
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"editors": [
{
"id": "<string>",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
}
],
"numInvited": 123,
"numJoinedVisitors": 123,
"numComments": 123
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}{
"error": true,
"code": "PARSE_ERROR",
"message": "<string>"
}Authorizations
Noux API key from your integration settings
Headers
Bearer token with Noux API key
Path Parameters
The room ID to retrieve
Response
Room details retrieved successfully
True when this is a template room, false for a sales room.
Language code for the room. Defaults to "en" (English) if not set.
Theme applied to the room. If null, the room is using the Noux default theme.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of invited visitors (pending or accepted invitations)
Number of visitors who have joined the room
Total number of comments in the room